# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Sun Feb 27 00:23:21 2022
# ------------------------------------------------

package:
  name: ovito
  version: 3.7.1
source:
  sha256: 01d18da8018b6f23dc1cc0e5367316ac9a5a9a057152fda76a8b2f75f39bf8d4
  url: https://gitlab.com/stuko/ovito/-/archive/v3.7.1/ovito-v3.7.1.tar.gz
build:
  number: '0'
  string: h6f389ac_0
requirements:
  build:
    - cmake 3.22.2 h39d44d4_0
    - ucrt 10.0.20348.0 h57928b3_0
    - vs2015_runtime 14.29.30037 h902a5da_6
    - vs2017_win-64 19.16.27033 hb90652a_6
    - vswhere 2.8.4 h57928b3_0
  host:
    - alabaster 0.7.12 py_0
    - babel 2.9.1 pyh44b312d_0
    - boost-cpp 1.74.0 h9f4b32c_7
    - brotlipy 0.7.0 py310he2412df_1003
    - bzip2 1.0.8 h8ffe710_4
    - ca-certificates 2021.10.8 h5b45459_0
    - certifi 2021.10.8 py310h5588dad_1
    - cffi 1.15.0 py310hcbf9ad4_0
    - charset-normalizer 2.0.12 pyhd8ed1ab_0
    - colorama 0.4.4 pyh9f0ad1d_0
    - cryptography 36.0.1 py310ha857299_0
    - curl 7.81.0 h789b8ee_0
    - docutils 0.17.1 py310h5588dad_1
    - ffmpeg 4.3.1 ha925a31_0
    - hdf4 4.2.15 h0e5069d_3
    - hdf5 1.12.1 nompi_h2a0e4a3_103
    - icu 68.2 h0e60522_0
    - idna 3.3 pyhd8ed1ab_0
    - imagesize 1.3.0 pyhd8ed1ab_0
    - importlib-metadata 4.11.1 py310h5588dad_0
    - jinja2 3.0.3 pyhd8ed1ab_0
    - jpeg 9e h8ffe710_0
    - krb5 1.19.2 h20d022d_3
    - libclang 11.1.0 default_h5c34c98_1
    - libcurl 7.81.0 h789b8ee_0
    - libffi 3.4.2 h8ffe710_5
    - libnetcdf 4.8.1 nompi_h1cc8e9d_101
    - libpng 1.6.37 h1d00b33_2
    - libssh2 1.10.0 h680486a_2
    - libzip 1.8.0 hfed4ece_1
    - libzlib 1.2.11 h8ffe710_1013
    - lz4-c 1.9.3 h8ffe710_1
    - markupsafe 2.1.0 py310he2412df_0
    - openssl 1.1.1l h8ffe710_0
    - packaging 21.3 pyhd8ed1ab_0
    - pycparser 2.21 pyhd8ed1ab_0
    - pygments 2.11.2 pyhd8ed1ab_0
    - pyopenssl 22.0.0 pyhd8ed1ab_0
    - pyparsing 3.0.7 pyhd8ed1ab_0
    - pysocks 1.7.1 py310h5588dad_4
    - python 3.10.2 h9a09f29_3_cpython
    - python_abi 3.10 2_cp310
    - pytz 2021.3 pyhd8ed1ab_0
    - qt 5.12.9 h5909a2a_4
    - requests 2.27.1 pyhd8ed1ab_0
    - setuptools 60.9.3 py310h5588dad_0
    - snowballstemmer 2.2.0 pyhd8ed1ab_0
    - sphinx 4.4.0 pyh6c4a22f_1
    - sphinx_rtd_theme 1.0.0 pyhd8ed1ab_0
    - sphinxcontrib-applehelp 1.0.2 py_0
    - sphinxcontrib-devhelp 1.0.2 py_0
    - sphinxcontrib-htmlhelp 2.0.0 pyhd8ed1ab_0
    - sphinxcontrib-jsmath 1.0.1 py_0
    - sphinxcontrib-qthelp 1.0.3 py_0
    - sphinxcontrib-serializinghtml 1.1.5 pyhd8ed1ab_1
    - sqlite 3.37.0 h8ffe710_0
    - tk 8.6.12 h8ffe710_0
    - tzdata 2021e he74cb21_0
    - ucrt 10.0.20348.0 h57928b3_0
    - urllib3 1.26.8 pyhd8ed1ab_1
    - vc 14.2 hb210afc_6
    - vs2015_runtime 14.29.30037 h902a5da_6
    - win_inet_pton 1.1.0 py310h5588dad_3
    - xz 5.2.5 h62dcd97_1
    - zipp 3.7.0 pyhd8ed1ab_1
    - zlib 1.2.11 h8ffe710_1013
    - zstd 1.5.2 h6255e5f_0
  run:
    - boost-cpp >=1.74.0,<1.74.1.0a0
    - ffmpeg >=4.3.1,<4.4.0a0
    - libnetcdf >=4.8.1,<4.8.2.0a0
    - libzlib >=1.2.11,<1.3.0a0
    - qt >=5.12.9,<5.13.0a0
    - vc >=14.1,<15
    - vs2015_runtime >=14.16.27033
  run_constrained:
    - menuinst >=1.4.17
test:
  commands:
    - where ovito
    - if not exist %PREFIX%\\Menu\\ovito.json exit 1
    - if not exist %PREFIX%\\Menu\\ovito.ico exit 1
about:
  description: 'OVITO is a scientific visualization and analysis software for

    atomistic and particle simulation data. It helps scientists gain

    better insights into materials phenomena and physical processes.

    Since version 3.0, this package provide OVITO BASIC without the python modules.

    For all features, use the licensed OVITO PRO version.

    OVITO is being developed by Alexander Stukowski at Darmstadt

    University of Technology, Germany.

    '
  dev_url: https://gitlab.com/stuko/ovito
  doc_url: http://www.ovito.org/
  home: https://www.ovito.org
  license: GPL-3.0-or-later
  license_file: D:\a\1\s\recipe/LICENSE.txt
  summary: Scientific visualization and analysis software for atomistic simulation
    data
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - ericpre
    - jan-janssen
    - stukowski
